org.hibernate.search.analyzer.definition.impl

## Class LuceneAnalysisDefinitionRegistryBuilderImpl

- java.lang.Object
- - org.hibernate.search.analyzer.definition.impl.LuceneAnalysisDefinitionRegistryBuilderImpl

- All Implemented Interfaces:
    LuceneAnalysisDefinitionRegistryBuilder

      public class LuceneAnalysisDefinitionRegistryBuilderImpl
      extends Object
      implements LuceneAnalysisDefinitionRegistryBuilder

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneAnalysisDefinitionRegistryBuilderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LuceneAnalyzerDefinitionContext` | `analyzer(String name)` Start a new analyzer definition.
    `SimpleLuceneAnalysisDefinitionRegistry` | `build()`
    `LuceneNormalizerDefinitionContext` | `normalizer(String name)` Start a new normalizer definition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneAnalysisDefinitionRegistryBuilderImpl

          public LuceneAnalysisDefinitionRegistryBuilderImpl()

  - ### Method Detail

    - #### analyzer

          public LuceneAnalyzerDefinitionContext analyzer(String name)

      Description copied from interface: `LuceneAnalysisDefinitionRegistryBuilder`
      Start a new analyzer definition.
      Specified by:
        `analyzer` in interface `LuceneAnalysisDefinitionRegistryBuilder`
      Parameters:
        `name` - The name used to reference this analyzer in Hibernate Search.
      Returns:
        A context allowing to further define the analyzer.

    - #### normalizer

          public LuceneNormalizerDefinitionContext normalizer(String name)

      Description copied from interface: `LuceneAnalysisDefinitionRegistryBuilder`
      Start a new normalizer definition.
      Specified by:
        `normalizer` in interface `LuceneAnalysisDefinitionRegistryBuilder`
      Parameters:
        `name` - The name used to reference this normalizer in Hibernate Search.
      Returns:
        A context allowing to further define the normalizer.

    - #### build

          public SimpleLuceneAnalysisDefinitionRegistry build()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved